package com.xty.network.model

import java.io.Serializable

data class BodyFatBean(
    val bodyAdviceText: String,
    val bodyStyleCode: Int,
    val bodyStyleText: String,
    val labelList: List<Label>,
    val pbfFactor: Double,
    val resultStatus: Int,
    val weight: Double
):Serializable{
    data class Label(
        val label: String,
        val labelContent: String?,
        val labelDietaryAdvice: String?,
        val labelLevelName: String?,
        val labelSportsAdvice: String?,
        val labelUnit: String?,
        var labelValue: Double,
        val levelIntervalList: List<LevelInterval>
    ):Serializable

    data class LevelInterval(
        val endValue: Double,
        val levelIntervalName: String,
        val startValue: Double
    ):Serializable
}

