package com.xty.network.model

import java.io.Serializable

data class SleepBean(
    val model: Model,
    val value: List<Value>
): Serializable {

    data class Model(
        val createBy: String,
        val createTime: String,
        val deepSleepCount: Any,
        val deepSleepTotal: Int,
        val endTime: Int,
        val hmWatchSleepData: Any,
        val id: Int,
        val lightSleepCount: Any,
        val lightSleepTotal: Int,
        val pageNum: Any,
        val pageSize: Any,
        val remark: Any,
        val soberSleepCount: Int,
        val startTime: Int,
        val updateBy: String,
        val updateTime: Any,
        val userId: Int
    ) : Serializable

    data class Value(
        val sleepLen: Int, //时长
        val sleepStartTime: Long,  //开始时间
        val sleepType: Int,  //999 代表清醒状态
    ) : Serializable
}
