package com.xty.network.model

import java.io.Serializable

data class UserEquipmentInformationizationBean(
    val userId: Long,//用户ID
    val bindStatus: Int,//绑定手表状态，0，未绑定，1，已绑定
    val deviceCode: String,//设备号
    val deviceType: String,//型号
    val activationCode: String,//激活码
    val bluetooth: String,//蓝牙地址
    val watchName: String,//设备名
    val activationTime: String,//激活时间
    val watchType: Int,//设备类型0，蓝牙，1，4G
    val power: String,//电量
    val linkStatus: String,//连接状态
    val deviceTotal: DeviceTotal,//物联网设备统计
    val adorn: Adorn,//佩戴时长对象
) : Serializable {
    data class DeviceTotal(
        val sphygmomanometer: String,//血压计数
        val bloodGlucose: String//血糖仪数
    )
    data class Adorn(
        val activeWear: Int,//活跃佩戴天数
        val dormancy: Int,//休眠天数
        val health: Int,//健康状态
        val wearCount: Int//总佩戴天数
    )
}