package com.zj365.dc.adapter

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.Dateutils
import com.xty.network.model.ScienceBean
import com.xty.network.model.SystemMsgBean
import com.zj365.dc.R

class HomeMessageAdapter : BaseAdapter<SystemMsgBean>(R.layout.item_home_message) {
    override fun convert(holder: BaseViewHolder, item: SystemMsgBean) {
        holder.setText(R.id.tv_msg_title,item.title)
        holder.setText(R.id.tv_msg_content,item.content)
        holder.setText(R.id.tv_msg_time,Dateutils.formatTime(item.time,Dateutils.YYYY_MM_DD_HH_MM))

    }
}