//package com.xty.common.weight
//
//import android.content.Context
//import android.graphics.Bitmap
//import android.graphics.BitmapFactory
//import android.graphics.Canvas
//import android.graphics.Paint
//import android.util.AttributeSet
//import android.view.View
//import com.xty.common.R
//
//class StartLevel(context: Context?, attrs: AttributeSet?) : View(context, attrs) {
//
//
//    private var level = 3
//
//    val paint by lazy {
//        Paint().apply {
//            isDither = true
//            isAntiAlias = true
//
//        }
//    }
//
//
//    override fun onDraw(canvas: Canvas) {
//        super.onDraw(canvas)
//        var bitmap = getBitmap()
//        var selBitmap = getBitmapSel()
//        var btW = bitmap.width
//        var hStart = height / 2f - (bitmap.height / 2f)
//
//        canvas.save()
//        //绘制在右边 那么 绘制的总长度等于
//        val allLength =  (btW+btW/2)*5
//        //绘制起点
//        var start = width - allLength
//        for (i in 1..5) {
//            var wStart = (btW+btW/2f)*(i-1)
//            if (i<=level) {
//                canvas.drawBitmap(selBitmap, start + wStart, hStart, paint)
//            } else {
//                canvas.drawBitmap(bitmap, start + wStart, hStart, paint)
//            }
//        }
//        canvas.restore()
//
//    }
//
//
//    private fun getBitmap(): Bitmap {
//        return BitmapFactory.decodeResource(
//            context.resources,
//            R.mipmap.ic_unsel_start
//        )
//    }
//
//    private fun getBitmapSel(): Bitmap {
//        return BitmapFactory.decodeResource(
//            context.resources,
//            R.mipmap.ic_sel_start
//        )
//    }
//
//    fun setLevel() {
//
//    }
//}