package com.xty.network.model

import com.chad.library.adapter.base.entity.MultiItemEntity
import java.io.Serializable

data class MessageBean(
    val message:Msg,
    val systemMessage:MutableList<SysMsg>,
    val noReadNum: Int,
    override var itemType: Int

): MultiItemEntity {
    data class SysMsg(
        val notifyContent: String,
        val notifyCreateTime: Long,
        val notifyHandStatus: Int,
        val notifyId: String,
        var notifyStatus: Int,
        val notifyTitle: String,
        val notifyType: Int,
        val notifyUserType: Int,
        val remark: Any,
        val type: Int,
        val userId: String,
        val id: String,
        var isChoice:Boolean = false
    ):Serializable
    data class Msg(
        val avatar_url: String,
        val create_time: String,
        val from_user_id: String,
        val message_id: String,
        val process_detail: String,
        val process_id: String,
        val process_type: Int,
        val read_time: String,
        val show_status: Int,
        val status: Int,
        val isMe: Int,
        var count:Int,


        val to_user_id: String,
        val avatar: String,
        val realname: String,
    )
}
